## org.plovr.docgen
Class LibraryDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.LibraryDescriptor.Builder

Enclosing class:
  LibraryDescriptor

    public static class LibraryDescriptor.Builder

extends Object

Method Summary
`void` `addMethod(MethodDescriptor method)`
`LibraryDescriptor` `build()`
`String` `getName()`
`void` `setDescription(String description)`
`void` `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public LibraryDescriptor build()

### getName

    public String getName()

### setName

    public void setName(String name)

### setDescription

    public void setDescription(String description)

### addMethod

    public void addMethod(MethodDescriptor method)